MKVINFO(1)

NAZWA
mkvinfo - Wyświetlanie informacji o elementach w plikach Matroska

SZABLON LINII KOMEND

mkvinfo [opcje] {źródłowa-nazwa pliku}

OPIS

This program lists all elements contained in a Matroska. The output can be limited to a list of tracks in the file including information about the codecs used.

-a, --all
    By default mkvinfo(1) stops when it encounters the first cluster. Additionally it doesn't show certain often occurring elements. With this option mkvinfo(1) will continue processing regardless of the verbosity level and show all elements.

-c, --checksums
    Calculates and display the Adler-32 checksum for each frame. Useful for debugging only.

-o, --continue
    By default mkvinfo(1) stops when it encounters the first cluster. With this option mkvinfo(1) will continue processing regardless of the verbosity level.

-p, --hex-positions
    Pokaż pozycje wszystkich elementów w systemie szesnastkowym, niezależnie od poziomu szczegółowości.

-P, --positions
    Pokaż pozycje wszystkich elementów w systemie dziesiętnym, niezależnie od poziomu szczegółowości.

-s, --summary
    Pokaż tylko zwięzłe podsumowanie tego, co znalazł mkvinfo(1), a nie każdy element.

-t, --track-info
    Show statistics for each track in verbose mode. Also sets verbosity to 1 if it was at level 0 before.

-x, --hexdump
    Pokaż pierwsze 16 bajtów każdej klatki jako zrzut szesnastkowy.

-X, --full-hexdump
    Pokaż wszystkie bajty każdej klatki jako zrzut szesnastkowy.

-z, --size
    Pokaż rozmiar każdego elementu łacznie z jego nagłówkiem.

--command-line-charset zestaw-znaków
    Ustawia zestaw znaków, z którego konwertowane są ciągi znaków podane w wierszu poleceń. Domyślnie jest to zestaw znaków określony przez bieżącą lokalizację systemu.

--output-charset zestaw-znaków
    Ustawia zestaw znaków, do którego konwertowane są ciągi znaków przeznaczone do wyprowadzenia. Domyślnie jest to zestaw znaków określony przez bieżącą lokalizację systemu.

-r, --redirect-output nazwa-pliku
    Zapisuje wszystkie powiadomienia do pliku nazwa-pliku zamiast do konsoli. Podczas gdy może być to robione łatwo z przekierowaniem wyjścia, są przypadki, gdy ta opcja właśnie jest potrzebna: gdy terminal ponownie interpretuje plik wyjściowy przed zapisaniem do pliku. Uznawany będzie zestaw znaków ustawiony z opcją --output-charset.

--no-bom
    Zazwyczaj pliki tekstowe utworzone i zakodowane w jednym z wariantów UTF rozpoczynają się od znacznika kolejności bajtów (BOM). Użycie tej opcji wyłącza zapisywanie tego znacznika kolejności bajtów.

--ui-language kod
    Wymusza użycie tłumaczeń dla kodu parameter języka (np. "de_DE” dla tłumaczeń na język niemiecki). Wprowadzenie "list” jako kodu parameter spowoduje, że program wyświetli listę dostępnych tłumaczeń.

--abort-on-warnings
    Nakazuje programowi przerwanie po wyemitowaniu pierwszego ostrzeżenia. Kodem wyjścia programu będzie 1.

--debug temat
    Włącz debugowanie dla konkretnej funkcji. Ta opcja jest użyteczna tylko dla deweloperów.

--engage funkcja
    Włącz funkcje eksperymentalne. Listę dostępnych funkcji można uzyskać za pomocą komendy mkvinfo --engage list. Te funkcje nie są przeznaczone do użytku w normalnych sytuacjach.

--gui-mode
    Włącza tryb GUI. W tym trybie mogą być generowane specjalnie sformatowane linie, które informują interfejs GUI o aktualnym stanie rzeczy. Komunikaty te mają formatt '#GUI#message'. Po komunikacie mogą następować pary klucz/wartość, np '#GUI#message#key1=value1#key2=value2...'. Ani komunikaty, ani klucze nie są tłumaczone i zawsze są wyświetlane w języku angielskim.

-v, --verbose
    Be more verbose. See the section about verbosity levels for a description which information will be output at which level.

-h, --pomoc
    Pokaż informację o sposobie użycia opcji i wyjdź.

-V, --wersja
    Pokaż informację o wersji i wyjdź.

@options-file.json
    Odczytuje dodatkowe argumenty wiersza poleceń z pliku options-file. Pełny opis obsługiwanych formatów takich plików znajduje się w sekcji „Pliki opcji” na stronie man programu &mkvmerge;.

POZIOMY SZCZEGÓŁOWOŚCI

The -v option can be used to increase mkvinfo(1)'s verbosity level and print more information about the current file.

At level 0 mkvinfo(1) will print only the track headers it finds and their types. mkvinfo(1) will exit as soon as the headers are parsed completely (more technical: as soon as the first cluster is encountered). In this level the seek head entries and the cues will not be displayed -- even if they're located in front of the track information.

At level 1 mkvinfo(1) will also print all Matroska elements encountered for the complete file but the seek head entries and the cue entries. If the summary mode is enabled then mkvinfo(1) will output the frame position as well.

The same effect can be achieved with the option --continue.

At level 2 mkvinfo(1) will also print the seek head entries, the cue entries and the file position at which each Matroska element can be found at.

The same effect can be achieved with the options --all --positions.

At level 3 and above mkvinfo(1) will print some information that is not directly connected to a Matroska element. All other elements only print stuff about the elements that were just found. Level 3 adds meta information to ease debugging (read: it's intended for developers only). All lines written by level 3 are enclosed in square brackets to make filtering them out easy.

PLIKI TEKSTOWE I KONWERSJE ZESTAWÓW ZNAKÓW

Szczegółowe omówienie sposobu, w jaki wszystkie narzędzia w pakiecie MKVToolNix obsługują konwersję zestawu znaków, kodowanie wejściowe/wyjściowe, kodowanie linii komend i kodowanie konsoli, można znaleźć w sekcji o identycznej nazwie na mkvmerge(1) stronie podręcznika.

KODY ZAKOŃCZENIA

mkvpropedit(1) kończy działanie z jednym z trzech kodów wyjścia:

    • 0 -- Ten kod zakończenia oznacza, że praca została zakończona powodzeniem.

    • 1 -- In this case mkvinfo(1) has output at least one warning, but the run did continue. A warning is prefixed with the text 'Warning:'.

    • 2 – Ten kod wyjścia jest używany po wystąpieniu błędu. mkvpropedit(1) przerywa działanie zaraz po wyświetleniu komunikatu o błędzie. Komunikaty o błędach obejmują błędne argumenty wiersza poleceń, błędy odczytu/zapisu, a nawet uszkodzone pliki.

ZMIENNE ŚRODOWISKOWE

mkvpropedit(1) używa domyślnych zmiennych, które określają ustawienia regionalne systemu (np. LANG i rodzina LC_*). Dodatkowe zmienne:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG i jego skrócona forma MTX_DEBUG
    The content is treated as if it had been passed via the --debug option.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE i jego skrócona forma MTX_ENGAGE
    The content is treated as if it had been passed via the --engage option.

ZOBACZ TAKŻE

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

STRONA WWW

Najnowsza wersja jest zawsze dostępna pod adresem domowym MKVToolNix[1].

AUTOR

Moritz Bunkus <moritz@bunkus.org>
    Autor

PRZYPISY

1.  adresem domowym MKVToolNix
    https://mkvtoolnix.download/